Package

## Interface PreloadManager

- All Implemented Interfaces:

      public interface PreloadManager

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract Unit` | `preload()` | Method to preload an ad.
    `abstract Unit` | `load()` | Method to load the ad content for the ad which was preloaded using .

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

  - ### Method Detail

    - #### preload

          @UiThread() abstract Unit preload()

      Method to preload an ad. In case of success, #onAdFetchSuccessful(Ad, AdMetaInfo) is invoked otherwise #onAdFetchFailed(Ad, InMobiAdRequestStatus).

    - #### load

          @UiThread() abstract Unit load()

      Method to load the ad content for the ad which was preloaded using .preload method. In case of success, #onAdLoadSucceeded(Ad, AdMetaInfo) is invoked otherwise #onAdLoadFailed(Ad, InMobiAdRequestStatus).